[SCM] Samba Shared Repository - branch master updated

Jeremy Allison jra at samba.org
Thu Aug 25 17:57:01 UTC 2022


The branch, master has been updated
       via  9fa6ab2233a s3:tests: Transfer test files into temporary directory
       via  989aa441dfb s3:tests: Create test directory and file prior to revoking permissions
      from  a0e0fde039e ctdb-tests: Avoid shellcheck warnings

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 9fa6ab2233ac3f07013cbc169118564f35195ad2
Author: Joseph Sutton <josephsutton at catalyst.net.nz>
Date:   Thu Aug 25 14:03:17 2022 +1200

    s3:tests: Transfer test files into temporary directory
    
    The presence of these two files is causing 'check-clean-tree' to fail.
    
    Signed-off-by: Joseph Sutton <josephsutton at catalyst.net.nz>
    Reviewed-by: Jeremy Allison <jra at samba.org>
    
    Autobuild-User(master): Jeremy Allison <jra at samba.org>
    Autobuild-Date(master): Thu Aug 25 17:56:31 UTC 2022 on sn-devel-184

commit 989aa441dfb6ba7a5e8b8f6e833f9d76b94d64f8
Author: Joseph Sutton <josephsutton at catalyst.net.nz>
Date:   Thu Aug 25 13:56:47 2022 +1200

    s3:tests: Create test directory and file prior to revoking permissions
    
    If 'chmod 0' is performed first, then we won't have the required
    permissions for the subsequent 'mkdir' and 'touch', and they will fail.
    
    Signed-off-by: Joseph Sutton <josephsutton at catalyst.net.nz>
    Reviewed-by: Jeremy Allison <jra at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/test_symlink_traversal_smb2.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/test_symlink_traversal_smb2.sh b/source3/script/tests/test_symlink_traversal_smb2.sh
index 971d5344216..efd4353c533 100755
--- a/source3/script/tests/test_symlink_traversal_smb2.sh
+++ b/source3/script/tests/test_symlink_traversal_smb2.sh
@@ -140,10 +140,10 @@ chmod 0 "$dir_outside_share_noperms"
 	ln -s "file_inside_share_noperms" "symlink_file_inside_share_noperms"
 	mkdir "dir_inside_share_noperms"
 	touch "dir_inside_share_noperms/noperm_file_exists"
-	chmod 0 "dir_inside_share_noperms"
 	ln -s "dir_inside_share_noperms" "symlink_dir_inside_share_noperms"
 	mkdir "dir_inside_share_noperms/noperm_subdir_exists"
 	touch "dir_inside_share_noperms/noperm_subdir_exists/noperm_subdir_file_exists"
+	chmod 0 "dir_inside_share_noperms"
 )
 
 #
@@ -321,10 +321,10 @@ test_symlink_traversal_SMB2()
 	smbclient_expect_error "get" "symlink_to_dot" "" "NT_STATUS_FILE_IS_A_DIRECTORY" || return 1
 	smbclient_expect_error "get" "symlink_to_dot/noexist1" "" "NT_STATUS_OBJECT_NAME_NOT_FOUND" || return 1
 	smbclient_expect_error "get" "symlink_to_dot/noexist1/noexist2" "" "NT_STATUS_OBJECT_PATH_NOT_FOUND" || return 1
-	smbclient_expect_error "get" "file_exists" "" "NT_STATUS_OK" || return 1
+	smbclient_expect_error "get" "file_exists" "$dir_outside_share/file_exists" "NT_STATUS_OK" || return 1
 	smbclient_expect_error "get" "file_exists/noexist1" "" "NT_STATUS_OBJECT_PATH_NOT_FOUND" || return 1
 	smbclient_expect_error "get" "file_exists/noexist1/noexist2" "" "NT_STATUS_OBJECT_PATH_NOT_FOUND" || return 1
-	smbclient_expect_error "get" "symlink_to_file_exists" "" "NT_STATUS_OK" || return 1
+	smbclient_expect_error "get" "symlink_to_file_exists" "$dir_outside_share/symlink_to_file_exists" "NT_STATUS_OK" || return 1
 	smbclient_expect_error "get" "symlink_to_file_exists/noexist1" "" "NT_STATUS_OBJECT_PATH_NOT_FOUND" || return 1
 	smbclient_expect_error "get" "symlink_to_file_exists/noexist1/noexist2" "" "NT_STATUS_OBJECT_PATH_NOT_FOUND" || return 1
 	smbclient_expect_error "get" "dir_exists" "" "NT_STATUS_FILE_IS_A_DIRECTORY" || return 1


-- 
Samba Shared Repository



More information about the samba-cvs mailing list